# Poco::Crypto

# class CryptoIOS

Library: Crypto
Package: Cipher
Header: Poco/Crypto/CryptoStream.h

## Description

The base class for CryptoInputStream and CryptoOutputStream.

This class is needed to ensure correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: CryptoInputStream, CryptoOutputStream

## Member Summary

Member Functions: rdbuf

## Constructors

### CryptoIOS

CryptoIOS(
std::istream & istr,
CryptoTransform * pTransform,
std::streamsize bufferSize = 8192
);

### CryptoIOS

CryptoIOS(
std::ostream & ostr,
CryptoTransform * pTransform,
std::streamsize bufferSize = 8192
);

## Destructor

### ~CryptoIOS

~CryptoIOS();

## Member Functions

### rdbuf

CryptoStreamBuf * rdbuf();

## Variables

### _buf

CryptoStreamBuf _buf;